# vMap

vMap is a powerful webmapping application based on the newest open-source libraries (OpenLayers 3, Google-Closure, AngularJS, Bootstrap…).

It can use external map services, local data files produced in many formats (WMS, WMTS, Bing, OSM, GPX, GeoJSON, KML, TopoJSON...) or publish WMS services using MapServer.

vMap is able to manage business objects while using WMS producing server software like MapServer, GeoServer or ArcGis Server.

## Documentation

You can read mode about vMap on the [documentation](https://vmap.readthedocs.io/en/latest/presentation/presentation/)

## Install

#### Try it

A demo server is available on [https://demovmap.veremes.net](https://demovmap.veremes.net) where you can try all the user features, for administration features you will have to install it.

#### Docker

The most easy way to install vMap is using Docker, vMap is available on docker hub [https://hub.docker.com/r/veremes/vmap](https://hub.docker.com/r/veremes/vmap) where you will find an installation documentation.

#### AWS Marketplace

With an AWS account you will be able to create an EC2 using the marketplace vMap AMI.

#### Manual

Or you can install it mannulaly on Debian, Ubuntu or even Windows by following the [install procedure](http://www.veremes.com/procedure-dinstallation-de-vmap) (french)

#### Dev version (Linux)

To install the dev version of this project run the following steps:

- Install the app manually on var/www/vmap
- Clone this repo on var/wwww/vmap\_dev
- Run install.sh and give the var/www/vmap path when asked to build your tree structure
- Now you have the correct versioned tree structure, rename var/www/vmap as var/www/vmap\_vai and var/www/vmap\_dev as var/www/vmap
- Run `git pull` and `git push` to update/post the project and his dependencies
